%define module  Template-XML
%define name	perl-%{module}
%define	modprefix Template

%define version 2.17
%define release %mkrel 1

%define _provides_exceptions perl(XML::

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	XML plugin for the Template Toolkit
License:	Artistic/GPL
Group:		Development/Perl
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
URL:		http://www.template-toolkit.org
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Template) >= 2.15
BuildRequires:	perl(XML::DOM) >= 1.27
BuildRequires:	perl(XML::LibXML)
BuildRequires:	perl(XML::Parser) >= 2.19
BuildRequires:	perl(XML::RSS) >= 0.9
BuildRequires:	perl(XML::Simple) >= 2
BuildRequires:	perl(XML::XPath) >= 1
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The Template-XML distribution provides a number of Template Toolkit
plugin modules for working with XML.

The basic XML plugins were distributed as part of the Template Toolkit
until version 2.15 released in May 2006. At this time they were
extracted into this separate Template-XML distribution and an alpha
version of this Template::Plugin::XML front-end module was added.


%prep
%setup -q -n %{module}-%{version}

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*



%changelog
* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.17-1mdv2008.0
+ Revision: 23193
- 2.17


* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 2.16-1mdv2007.0
- Version 2.16

* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 2.15-2mdv2007.0
- Added BuildRequires perl(XML::LibXML)

* Fri May 26 2006 Scott Karns <scottk@mandriva.org> 2.15-1mdv2007.0
- Initial Mandriva package (was part of perl-Template < 2.15)

